%  The MatMol Group (2009)

% ---------------- %
% MatMOL Low-order %
% ---------------- %

clear all, close all
eps = 0.001; n = 51; orderDconv = 1; orderDdiff = 2;
Buckley_Leverett_MatMOL(eps,n,orderDconv,orderDdiff)

clear all, close all
eps = 0.001; n = 101; orderDconv = 1; orderDdiff = 2;
Buckley_Leverett_MatMOL(eps,n,orderDconv,orderDdiff)

clear all, close all
eps = 0.001; n = 251; orderDconv = 1; orderDdiff = 2;
Buckley_Leverett_MatMOL(eps,n,orderDconv,orderDdiff)




%
% ----------------- %
% MatMOL High-order %
% ----------------- %

clear all, close all
eps = 0.001; n = 51; orderDconv = 3; orderDdiff = 4;
Buckley_Leverett_MatMOL(eps,n,orderDconv,orderDdiff)

clear all, close all
eps = 0.001; n = 101; orderDconv = 3; orderDdiff = 4;
Buckley_Leverett_MatMOL(eps,n,orderDconv,orderDdiff)

clear all, close all
eps = 0.001; n = 251; orderDconv = 3; orderDdiff = 4;
Buckley_Leverett_MatMOL(eps,n,orderDconv,orderDdiff)




%
% --------------------- %
% MatMOL: Flux Limiter  %
% --------------------- %

% Minmod
clear all, close all
eps = 0.001; n = 51; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Minmod')

clear all, close all
eps = 0.001; n = 101; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Minmod')

clear all, close all
eps = 0.001; n = 251; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Minmod')


% Koren
clear all, close all
eps = 0.001; n = 51; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Koren')

clear all, close all
eps = 0.001; n = 101; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Koren')

clear all, close all
eps = 0.001; n = 251; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Koren')


% MC
clear all, close all
eps = 0.001; n = 51; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'MC')

clear all, close all
eps = 0.001; n = 101; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'MC')

clear all, close all
eps = 0.001; n = 251; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'MC')


% Smart
clear all, close all
eps = 0.001; n = 51; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Smart')

clear all, close all
eps = 0.001; n = 101; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Smart')

clear all, close all
eps = 0.001; n = 251; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Smart')


% Superbee
clear all, close all
eps = 0.001; n = 51; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Superbee')

clear all, close all
eps = 0.001; n = 101; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Superbee')

clear all, close all
eps = 0.001; n = 251; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'Superbee')


% Van Leer
clear all, close all
eps = 0.001; n = 51; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'VanLeer')

clear all, close all
eps = 0.001; n = 101; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'VanLeer')

clear all, close all
eps = 0.001; n = 251; orderDdiff = 4;
Buckley_Leverett_MatMOL_FluxLimiter(eps,n,orderDdiff,1.0e-4,1.0e-4,'VanLeer')




%
% -------------------------- %
% MatMOL: Static regridding  %
% -------------------------- %

clear all, close all
eps = 0.001; n = 51;
Buckley_Leverett_MatMOL_StaticRegridding(eps,n,1.0e-6,1.0e-6)

clear all, close all
eps = 0.001; n = 101;
Buckley_Leverett_MatMOL_StaticRegridding(eps,n,1.0e-6,1.0e-6)

clear all, close all
eps = 0.001; n = 251;
Buckley_Leverett_MatMOL_StaticRegridding(eps,n,1.0e-6,1.0e-6)




%
% --------------------------- %
% MatMOL: Dynamic regridding  %
% --------------------------- %

clear all, close all
eps = 0.001; n = 51;
Buckley_Leverett_MatMOL_DynamicRegridding(eps,n,1.0e-4,1.0e-4)

clear all, close all
eps = 0.001; n = 101;
Buckley_Leverett_MatMOL_DynamicRegridding(eps,n,1.0e-4,1.0e-4)
