function [u z] = Bcintroduct(t,x)
% Boundary conditions (they must be introduced in Dirichlet form)

% Global variables
global n ne zL zR
global Tin Cin v D1 D2

% Separate dependent variables and node positions
for jj = 1:ne
    u(2 : n+1 , jj) = x(jj : ne+1 : n*(ne+1));
end
z =[zL x(ne+1:ne+1:n*(ne+1))' zR];


% Implement the BCs
% Computation of the derivative matrix
Dz       = matfd (z, 'non_uni', '1st', 5, 'centered');
% Boundary conditions for T
u(1,1)   = BC_dir('rob',u(:,1),Tin,Dz,'begin',v,D1);
u(n+2,1) = BC_dir('neu',u(:,1),0,Dz,'end',0,0);
% Boundary conditions for C
u(1,2)   = BC_dir('rob',u(:,2),Cin,Dz,'begin',v,D2);
u(n+2,2) = BC_dir('neu',u(:,2),0,Dz,'end',0,0);

