% The MatMol Group (2009)
% Function....... : Automates the simulation for Pe = 10000

% ---------------- %
% MatMOL Low-order %
% ---------------- %

clear all, close all
Pe = 10000; n = 51; orderD1 = 1; orderD2 = 2;
TFBBR_MatMOL(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 101; orderD1 = 1; orderD2 = 2;
TFBBR_MatMOL(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 251; orderD1 = 1; orderD2 = 2;
TFBBR_MatMOL(Pe,n,orderD1,orderD2)








%%
% ----------------------------------- %
% MatMOL Low-order + Forcing function %
% ----------------------------------- %

clear all, close all
Pe = 10000; n = 51; orderD1 = 1; orderD2 = 2;
TFBBR_MatMOL_ForcingFunction(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 101; orderD1 = 1; orderD2 = 2;
TFBBR_MatMOL_ForcingFunction(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 251; orderD1 = 1; orderD2 = 2;
TFBBR_MatMOL_ForcingFunction(Pe,n,orderD1,orderD2)






%%
% ------------------------------ %
% MatMOL Low-order + Elimination %
% ------------------------------ %

clear all, close all
Pe = 10000; n = 51; orderD1 = 1; orderD2 = 2;
TFBBR_MatMOL_Elimination(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 101; orderD1 = 1; orderD2 = 2;
TFBBR_MatMOL_Elimination(Pe,n,orderD1,orderD2)


clear all, close all
Pe = 10000; n = 251; orderD1 = 1; orderD2 = 2;
TFBBR_MatMOL_Elimination(Pe,n,orderD1,orderD2)





%%
% ----------------- %
% MatMOL High-order %
% ----------------- %

clear all, close all
Pe = 10000; n = 51; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 101; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 251; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL(Pe,n,orderD1,orderD2)








%%
% ------------------------------------ %
% MatMOL High-order + Forcing function %
% ------------------------------------ %

clear all, close all
Pe = 10000; n = 51; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_ForcingFunction(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 101; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_ForcingFunction(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 251; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_ForcingFunction(Pe,n,orderD1,orderD2)





%%
% ------------------------------- %
% MatMOL High-order + Elimination %
% ------------------------------- %

clear all, close all
Pe = 10000; n = 51; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_Elimination(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 101; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_Elimination(Pe,n,orderD1,orderD2)


clear all, close all
Pe = 10000; n = 251; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_Elimination(Pe,n,orderD1,orderD2)





%%
% --------------------- %
% MatMOL: Flux Limiter  %
% --------------------- %

%% Minmod
clear all, close all
Pe = 10000; n = 51; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 101; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2)

clear all, close all
Pe = 10000; n = 251; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2)

%% Koren
clear all, close all
Pe = 10000; n = 51; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'Koren')

clear all, close all
Pe = 10000; n = 101; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'Koren')

clear all, close all
Pe = 10000; n = 251; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'Koren')

%% MC
clear all, close all
Pe = 10000; n = 51; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'MC')

clear all, close all
Pe = 10000; n = 101; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'MC')

clear all, close all
Pe = 10000; n = 251; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'MC')

%% Smart
clear all, close all
Pe = 10000; n = 51; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'Smart')

clear all, close all
Pe = 10000; n = 101; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'Smart')

clear all, close all
Pe = 10000; n = 251; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'Smart')

%% Superbee
clear all, close all
Pe = 10000; n = 51; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'Superbee')

clear all, close all
Pe = 10000; n = 101; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'Superbee')

clear all, close all
Pe = 10000; n = 251; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'Superbee')


%% Van Leer
clear all, close all
Pe = 10000; n = 51; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'VanLeer')

clear all, close all
Pe = 10000; n = 101; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'VanLeer')

clear all, close all
Pe = 10000; n = 251; orderD1 = 4; orderD2 = 4;
TFBBR_MatMOL_FluxLimiter(Pe,n,orderD1,orderD2,1.0e-4,1.0e-6,'VanLeer')



%%
% -------------------------- %
% MatMOL: Static regridding  %
% -------------------------- %

clear all, close all
Pe = 10000; n = 51;
TFBBR_MatMOL_StaticRegridding(Pe,n)

clear all, close all
Pe = 10000; n = 101;
TFBBR_MatMOL_StaticRegridding(Pe,n)

clear all, close all
Pe = 10000; n = 251;
TFBBR_MatMOL_StaticRegridding(Pe,n)


